%define pypi_name ecdsa

Name:           python-ecdsa
Version:        0.18.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        ECDSA cryptographic signature library (pure python)
License:        MIT
URL:            https://github.com/warner/python-ecdsa
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python.

With this library, you can quickly create keypairs (signing key and verifying
key), sign messages, and verify the signatures.

The keys and signatures are very short, making them easy to handle and
incorporate into other protocols.

%package -n     python3-%{pypi_name}
Summary:        ECDSA cryptographic signature library (pure python)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python.

With this library, you can quickly create keypairs (signing key and verifying
key), sign messages, and verify the signatures.

The keys and signatures are very short, making them easy to handle and
incorporate into other protocols.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ecdsa

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE



%changelog
* Wed Dec 20 2023 tv <tv> 0.18.0-2.mga10
+ Revision: 2020280
- Rebuild for python 3.12

* Wed Sep 07 2022 neoclust <neoclust> 0.18.0-1.mga9
+ Revision: 1884699
- New version  0.18.0

* Wed Mar 23 2022 umeabot <umeabot> 0.17.0-3.mga9
+ Revision: 1822406
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.17.0-2.mga9
+ Revision: 1773683
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 0.17.0-1.mga9
+ Revision: 1743206
- new version 0.17.0

* Sat Mar 20 2021 tv <tv> 0.16.1-2.mga9
+ Revision: 1705666
- rebuild for python-3.9.2

* Sat Nov 21 2020 guillomovitch <guillomovitch> 0.16.1-1.mga8
+ Revision: 1648103
- new version 0.16.1

* Wed Sep 09 2020 guillomovitch <guillomovitch> 0.16.0-1.mga8
+ Revision: 1623952
- new version 0.16.0

* Tue Mar 31 2020 daviddavid <daviddavid> 0.15-1.mga8
+ Revision: 1562595
- new version: 0.15

* Tue Feb 18 2020 umeabot <umeabot> 0.14.1-2.mga8
+ Revision: 1538220
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 0.14.1-1.mga8
+ Revision: 1461199
- new version: 0.14.1

* Fri Sep 13 2019 tv <tv> 0.13.2-2.mga8
+ Revision: 1440347
- rebuild for python-3.8
- drop python2 subpkg

* Sun Apr 21 2019 wally <wally> 0.13.2-1.mga7
+ Revision: 1394228
- new version 0.13.2

* Tue Jan 08 2019 shlomif <shlomif> 0.13-5.mga7
+ Revision: 1352612
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.13-4.mga7
+ Revision: 1288792
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.13-3.mga7
+ Revision: 1135408
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.13-2.mga6
+ Revision: 971639
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 philippem <philippem> 0.13-1.mga6
+ Revision: 892212
- update to 0.13

* Sat Oct 10 2015 tv <tv> 0.11-6.mga6
+ Revision: 888763
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.11-5.mga5
+ Revision: 745513
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.11-4.mga5
+ Revision: 728380
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.11-3.mga5
+ Revision: 688012
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.11-2.mga5
+ Revision: 628622
- Rebuild for new Python

* Fri Mar 14 2014 philippem <philippem> 0.11-1.mga5
+ Revision: 603843
- Update to 0.11

* Wed Mar 05 2014 philippem <philippem> 0.10-1.mga5
+ Revision: 600141
- update to 0.10

* Tue Oct 22 2013 umeabot <umeabot> 0.9-3.mga4
+ Revision: 543408
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9-2.mga4
+ Revision: 498458
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.9-1.mga4
+ Revision: 491761
- imported package python-ecdsa

